Always halt a copy if the read part failed, not just when there is a
notify_fn (fix coding error).  [Kevin Corry]
--- diff/drivers/md/kcopyd.c	2003-01-10 10:20:46.000000000 +0000
+++ source/drivers/md/kcopyd.c	2003-01-10 10:20:51.000000000 +0000
@@ -660,8 +660,10 @@
 {
 	struct copy_info *info = (struct copy_info *) job->context;
 
-	if (job->err && info->notify) {
-		info->notify(job->err, job->context);
+	if (job->err) {
+		if (info->notify)
+			info->notify(job->err, job->context);
+
 		kcopyd_free_job(job);
 		free_copy_info(info);
 		return;
